Vulnerabilità: CVE-2020-9708

La funzione resolveRepositoryPath non convalida correttamente l’input dell’utente e un utente malintenzionato può attraversare a qualsiasi repository Git valido al di fuori del repoRoot. Questo problema può portare a un accesso non autorizzato del repository Git privati ​​fino a quando l’utente malintenzionato sa o bruta forza la posizione del repository.


https://github.com/adobe/git-server/security/advisories/GHSA-cgj4-x2hh-2×93
https://github.com/adobe/git-server/security/advisories/GHSA-cgj4-x2hh-2×93
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9708


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi